Skip to main content
GET
/
webhooks
/
{event_id}
Get a webhook delivery record
curl --request GET \
  --url https://api.platform.dakota.xyz/webhooks/{event_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "2Nf5xCw4k3G8m9PqR7sTuVwXyZa",
  "event_type": "transaction.completed",
  "endpoint_url": "https://example.com/webhooks/receive",
  "status": "delivered",
  "attempts": 1,
  "created_at": "2025-01-15T10:30:00Z",
  "delivered_at": "2025-01-15T10:30:02Z",
  "simulation_id": null,
  "is_replay": false,
  "replay_count": 0,
  "payload": {
    "id": "2Nf5xCw4k3G8m9PqR7sTuVwXyZa",
    "type": "transaction.completed"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

event_id
string
required

The event ID of the webhook delivery record.

Response

The webhook delivery record.

A single outbound webhook delivery record.

id
string
required

The event ID for this delivery (KSUID).

event_type
string
required

The event type (e.g. transaction.completed).

endpoint_url
string
required

The target URL this webhook was sent to.

status
enum<string>
required

Current delivery status.

Available options:
delivered,
failed,
pending
attempts
integer
required

Number of delivery attempts made so far.

created_at
string<date-time>
required

When this delivery record was created.

is_replay
boolean
required

True if this delivery was triggered by a manual replay.

delivered_at
string<date-time> | null

When the webhook was successfully delivered, if applicable.

simulation_id
string | null

Present if this webhook originated from a sandbox simulation.

replay_count
integer

Number of times this delivery has been replayed (max 10).

payload
object

The full event payload sent in the webhook body.